Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

Reply
New Developer
vinho
Posts: 28
Registered: ‎08-19-2008
My Device: Not Specified

Push update application issue

I would like to push update a developed application in BES 4.1.4 but having some problem.

 

I have different versions, say 3.1.1, 3.1.2 and 3.1.3. For a user, he installed v.3.1.2 on desktop manager. And I have a new v.3.1.3, we wants to push it from BES. I indexed the alx and cod and added into software configuration. However, it can't update (delete old version & install new version) the application automatically. The user needs to delete the application manually on desktop manager (or on the device) first, then the BES can push and install the application on the device.

 

How can BES update automatically, instead of delete the old version manually?

 

Thanks.

 

Please use plain text.
Retired
CerealBypass
Posts: 616
Registered: ‎03-25-2009
My Device: BlackBerry Curve 9360

Re: Push update application issue

BES 4.1.x does not have the ability to update software through software configurations. You would essentially have to create an app control policy to disallow the previous version, then force the new version on.

 

BES 5.0 handles software configurations in a radically new (and ultimately easier) way, allowing you to do software upgrades pretty seamlessly.

______________________________________________
The only stupid question is the one you don't ask before you reboot the BES.
Please use plain text.
New Developer
vinho
Posts: 28
Registered: ‎08-19-2008
My Device: Not Specified

Re: Push update application issue

How should I disallow the old version application?

And if I have any new new version, say version 3.1.5, I must disallow all old versions 3.1.1 to 3.1.4?

 

Also in BES 5.0, do I also need to set disallow for the old versions?

 

Thanks.

Please use plain text.